/api/v1/data/webhook-subscriptions/{id} (PATCH)
PATCH
/api/v1/data/webhook-subscriptions/{id}
const url = 'https://nbaproplab.com/api/v1/data/webhook-subscriptions/1';const options = { method: 'PATCH', headers: { Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json' }, body: '{"url":"example","events":["example"],"isActive":true,"rotateSecret":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://nbaproplab.com/api/v1/data/webhook-subscriptions/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "url": "example", "events": [ "example" ], "isActive": true, "rotateSecret": true }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer format: int32
Request Body required
Section titled “Request Body required ”object
url
null | string
events
Array<string> | null
isActive
null | boolean
rotateSecret
null | boolean
Example generated
{ "url": "example", "events": [ "example" ], "isActive": true, "rotateSecret": true}object
url
null | string
events
Array<string> | null
isActive
null | boolean
rotateSecret
null | boolean
Example generated
{ "url": "example", "events": [ "example" ], "isActive": true, "rotateSecret": true}object
url
null | string
events
Array<string> | null
isActive
null | boolean
rotateSecret
null | boolean
Example generated
{ "url": "example", "events": [ "example" ], "isActive": true, "rotateSecret": true}Responses
Section titled “ Responses ”OK
Authentication required.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Insufficient permissions or tier.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}